/* Global customization */

:root {
    --code-max-height: 60rem;
  }
  
  /* Light mode theming */
  :root,
  :root[color-mode="light"] {
    --header-background: #4ec58a;
    --header-font-color: #ffffff;
  
    --body-background: #ffffff;
    --body-font-color: #343a40;
  
    --button-background: #62cb97;
    --button-border-color: #4ec58a;
  
    --link-color: #518169;
    --link-color-visited: #c54e8a;
  
    --code-background: #f5f6f8;
    --code-accent-color: #e3e7eb;
    --code-accent-color-lite: #eff1f3;
  
    --code-copy-font-color: #6b7784;
    --code-copy-border-color: #adb4bc;
    --code-copy-success-color: #00c853;
  
    --accent-color: #e9ecef;
    --accent-color-lite: #f8f9fa;
  
    --control-icons: #b2bac1;
  
    --footer-background: #2f333e;
    --footer-font-color: #ffffff;
    --footer-link-color: #ffcc5c;
    --footer-link-color-visited: #ffcc5c;
  }
  @media (prefers-color-scheme: light) {
    :root {
      --header-background: #4ec58a;
      --header-font-color: #ffffff;
  
      --body-background: #ffffff;
      --body-font-color: #343a40;
  
      --button-background: #62cb97;
      --button-border-color: #4ec58a;
  
      --link-color: #518169;
      --link-color-visited: #c54e8a;
  
      --code-background: #f5f6f8;
      --code-accent-color: #e3e7eb;
      --code-accent-color-lite: #eff1f3;
  
      --code-copy-font-color: #6b7784;
      --code-copy-border-color: #adb4bc;
      --code-copy-success-color: #00c853;
  
      --accent-color: #e9ecef;
      --accent-color-lite: #f8f9fa;
  
      --control-icons: #b2bac1;
  
      --footer-background: #2f333e;
      --footer-font-color: #ffffff;
      --footer-link-color: #ffcc5c;
      --footer-link-color-visited: #ffcc5c;
    }
  }
  
  /* Dark mode theming */
  :root[color-mode="dark"] {
    --header-background: #4ec58a;
    --header-font-color: #ffffff;
  
    --body-background: #343a40;
    --body-font-color: #ced3d8;
  
    --button-background: #62cb97;
    --button-border-color: #4ec58a;
  
    --link-color: #7ac29e;
    --link-color-visited: #c27a9e;
  
    --code-background: #2f353a;
    --code-accent-color: #262b2f;
    --code-accent-color-lite: #2b3035;
  
    --code-copy-font-color: #adb4bc;
    --code-copy-border-color: #808c98;
    --code-copy-success-color: #00c853;
  
    --accent-color: #2b3035;
    --accent-color-lite: #2f353a;
  
    --control-icons: #b2bac1;
  
    --footer-background: #2f333e;
    --footer-font-color: #ffffff;
    --footer-link-color: #ffcc5c;
    --footer-link-color-visited: #ffcc5c;
  }
  @media (prefers-color-scheme: dark) {
    :root {
      --header-background: #4ec58a;
      --header-font-color: #ffffff;
  
      --body-background: #343a40;
      --body-font-color: #ced3d8;
  
      --button-background: #62cb97;
      --button-border-color: #4ec58a;
  
      --link-color: #7ac29e;
      --link-color-visited: #c27a9e;
  
      --code-background: #2f353a;
      --code-accent-color: #262b2f;
      --code-accent-color-lite: #2b3035;
  
      --code-copy-font-color: #adb4bc;
      --code-copy-border-color: #808c98;
      --code-copy-success-color: #00c853;
  
      --accent-color: #2b3035;
      --accent-color-lite: #2f353a;
  
      --control-icons: #b2bac1;
  
      --footer-background: #2f333e;
      --footer-font-color: #ffffff;
      --footer-link-color: #ffcc5c;
      --footer-link-color-visited: #ffcc5c;
    }
  }


.container {
    width: 100%;
    max-width: 100%; 
    margin: 0 auto;
    padding: 1rem;
}


